Bug 256715 - [new port] japanese/qolibri: EPWING dictionary viewer
Summary: [new port] japanese/qolibri: EPWING dictionary viewer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/ludios/qolibri
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-19 11:57 UTC by Osamu Matsuda
Modified: 2021-06-25 00:58 UTC (History)
1 user (show)

See Also:


Attachments
qolibri 2.1.3 (2.09 KB, application/x-shellscript)
2021-06-19 11:57 UTC, Osamu Matsuda
no flags Details
Updated patch (3.64 KB, patch)
2021-06-24 16:22 UTC, Li-Wen Hsu
no flags Details | Diff
updated patch with better cmake fix (4.30 KB, patch)
2021-06-24 19:38 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Osamu Matsuda 2021-06-19 11:57:56 UTC
Created attachment 225930 [details]
qolibri 2.1.3

qolibri is a viewer for electronic dictionaries in EPWING format.
Comment 1 Li-Wen Hsu freebsd_committer 2021-06-24 16:22:28 UTC
Created attachment 226038 [details]
Updated patch

This is the updated patch with some style fixes and adding missing dependencies.  Please check and test it. Thanks!

BTW, I somehow feel directly patching CMakeLists.txt to add:
  link_directories(/usr/lib /usr/local/lib)
is not the best approach, but I currently don't know that's the better way.
Comment 2 Li-Wen Hsu freebsd_committer 2021-06-24 19:38:06 UTC
Created attachment 226040 [details]
updated patch with better cmake fix

This is a better fix from adridg@
Comment 3 Osamu Matsuda 2021-06-25 00:31:51 UTC
(In reply to Li-Wen Hsu from comment #2)
Thank you for the updated patch (attachment 226040 [details]).
It looks nicer and works perfectly.
Comment 4 Li-Wen Hsu freebsd_committer 2021-06-25 00:58:32 UTC
Committed.  Please help upstream these patches. Thanks!
Comment 5 commit-hook freebsd_committer 2021-06-25 00:58:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=17d313fe9d47b937e92f313631a4e72d34c90552

commit 17d313fe9d47b937e92f313631a4e72d34c90552
Author:     Osamu Matsuda <omatsuda000@gmail.com>
AuthorDate: 2021-06-24 16:00:53 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-25 00:56:31 +0000

    japanese/qolibri: (New) EPWING dictionary viewer

    PR:             256715

 japanese/Makefile                                  |  1 +
 japanese/qolibri/Makefile (new)                    | 24 ++++++++++++++++++++++
 japanese/qolibri/distinfo (new)                    |  3 +++
 japanese/qolibri/files/patch-CMakeLists.txt (new)  | 19 +++++++++++++++++
 .../qolibri/files/patch-src_searchpage.cpp (new)   | 11 ++++++++++
 japanese/qolibri/pkg-descr (new)                   |  3 +++
 6 files changed, 61 insertions(+)